#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
using namespace std;

int main()
{
    int t;
    int i, n, j, x;
    cin>>t;
    int br[t];
    for(i=0;i<t;i++)
    {
        br[t]=0;
        cin>>n;
        vector<long long> a;
        vector<long long> b;
        for(j=0;j<n;j++)
        {
            cin>>x;
            a.push_back(x);
            a[j]=a[j]*(-1);
        }
        for(j=0;j<n;j++)
        {
            cin>>x;
            b.push_back(x);
        }
        /*for(j=0;j<n;j++)
        {
            a[j]=abs(a[n-1-j]);
        }*/
        sort(a.begin(), a.end());
        sort(b.begin(), b.end());
        for(j=n-1;j>0;j--)
        {
            if(a[j]!=b[j])
                break;
            else br[t]++;
        }
    }
    for(j=0;j<t;j++)
    {
        if(br[t]==n-1)
            cout<<"DA"<<endl;
        else cout<<"NE"<<endl;
    }
    return 0;
}